package com.liang.WT.service;

import com.liang.WT.entity.ProgressEntity;

import java.util.List;
import java.util.Map;

/**
 * @Author ly
 * @Date 2025/4/25 14:40
 * @Version 1.0
 */
public interface ProgressService {
    /**
     * 新增
     * @param progressEntity
     * @return
     */
    int add(ProgressEntity progressEntity);

    /**
     * 根据iD 查询
     * @param map
     * @return
     */
    List<ProgressEntity> getAll(Map map);

    /**
     * 根据ID 删除
     */
    int progressDelete(Map map);

}
